<template>
  <div 
    id="squareLocationsComponent"
    class="square-locations-backdrop"
    v-if="visible === 'true' && locations.length"
  >
    <div class="square-locations-wrapper">
      <div class="square-locations-container">
        <div
          class="square-locations-close"
          @click="visible = 'false'"
        >
          ×
        </div>
        <LocationItem 
          v-for="(location, index) in locations"
          :key="index"
          :location="location"
        >
        </LocationItem>
      </div>
    </div>
  </div>
</template>

<script>

export default {
  name: 'SquareLocations',
  components: {
    LocationItem: () => import('@/components/LocationItem'),
  },
  props: {
    visible: String
  },
  data () {
    return {
      locations: []
    }
  },
  mounted () {
    this.loadLocations()
  },
  methods: {
    loadLocations () {
      setTimeout(() => {
        this.locations = [{
          "id": "L15WB4A9YEQN2",
          "name": "Powerful Winds",
          "address": {
            "address_line_1": "1921 Modjeska St",
            "locality": "Los Angeles",
            "administrative_district_level_1": "CA",
            "postal_code": "90039-3732",
            "country": "US"
          },
          "timezone": "America/Los_Angeles",
          "capabilities": [
            "CREDIT_CARD_PROCESSING"
          ],
          "status": "ACTIVE",
          "created_at": "2020-07-22T22:17:31Z",
          "merchant_id": "ML89KWY4345Q0",
          "country": "US",
          "language_code": "en-US",
          "currency": "USD",
          "phone_number": "+1 303-979-2355",
          "business_name": "Powerful Winds",
          "type": "PHYSICAL",
          "business_hours": {
            "periods": [{
                "day_of_week": "MON",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "TUE",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "WED",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "THU",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "FRI",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              }
            ]
          },
          "business_email": "james.davis@mojave.agency",
          "coordinates": {
            "latitude": 34.097604,
            "longitude": -118.249423
          },
          "mcc": "7392"
        },
        {
          "id": "LBJZ91WDWAG16",
          "name": "Store 2",
          "address": {
            "address_line_1": "1000 Chopper Circle",
            "locality": "Denver",
            "administrative_district_level_1": "CO",
            "postal_code": "80204",
            "country": "US"
          },
          "timezone": "America/Los_Angeles",
          "capabilities": [
            "CREDIT_CARD_PROCESSING"
          ],
          "status": "ACTIVE",
          "created_at": "2020-07-22T23:08:38Z",
          "merchant_id": "ML89KWY4345Q0",
          "country": "US",
          "language_code": "en-US",
          "currency": "USD",
          "phone_number": "+1 303-979-2355",
          "business_name": "Powerful Winds 2",
          "type": "PHYSICAL",
          "business_hours": {
            "periods": [{
                "day_of_week": "MON",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "TUE",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "WED",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "THU",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              },
              {
                "day_of_week": "FRI",
                "start_local_time": "09:00:00",
                "end_local_time": "17:00:00"
              }
            ]
          },
          "business_email": "james.davis@mojave.agency",
          "coordinates": {
            "latitude": 39.7487,
            "longitude": -105.006689
          },
          "mcc": "7392"
        }]
      }, 3000)
    }
  }
}
</script>

<style scoped>
.square-locations-backdrop {
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.square-locations-wrapper {
  width: 400px;
  height: 70%;
  background: white;
  border-radius: 4px;
}

.square-locations-container {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  position: relative;
}

.square-locations-close {
  position: absolute;
  font-weight: 900;
  font-size: 20px;
  right: 10px;
  top: 3px;
  cursor: pointer
}
</style>
